OpenAPI 3.0.3

API & MCP

Integrujte ChatReact do svojich aplikácií. Kompletné REST API s interaktívnym prehliadačom a ukážkami kódu.

REST & MCP API

Úplné REST API plus Model Context Protocol pre AI asistentov

Bezpečná autentifikácia

API kľúče s prefixom cr_ pre bezpečné riadenie prístupu

OpenAPI 3.0

Úplná špecifikácia na stiahnutie – pre Postman, codegen a vaše vlastné SDK

Obmedzenie rýchlosti

30 pož./min REST API, 60 pož./min MCP a widget

Rýchly štart

example.js
// Send the first message; the response supplies sessionId.
const response = await fetch('/api/widget/{chatbotId}/chat', {
  method: 'POST',
  headers: { 'Content-Type': 'application/json' },
  body: JSON.stringify({ message: 'Hello, I need help!', language: 'en' })
});

const { sessionId } = await response.json();

// Continue the same conversation.
await fetch('/api/widget/{chatbotId}/chat', {
  method: 'POST',
  headers: { 'Content-Type': 'application/json' },
  body: JSON.stringify({
    sessionId,
    message: 'Can you explain that in more detail?',
    language: 'en'
  })
});

Overovanie

REST v1 a MCP používajú firemný API kľúč. Nikdy neodhaľujte tajný kľúč v verejnom widgete na webe. Príklad chatu vyššie používa verejný endpoint widgetu.

Authorization: Bearer cr_your_api_key_here